<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <title>Jquery Selector</title>
    <style>
        body {
            font-size: 12px;
            font-family: arial;
            background: #f4f4f4;
            line-height: 1.5em;
        }

        header {
            background-color: grey;
            padding: 20px;
            text-align: center;
            color: rgb(252, 246, 246);
            margin-bottom: 10px;
        }

        #container {
            width: 90%;
            margin: auto;
            padding: 10px;
        }
    </style>
</head>

<body>
    <header>
        <h1>
            Jquery Example
        </h1>
    </header>
    <div id="container">

        <h1>Mouse Events</h1>
        <button id="btn1" class="btnClass">Button1 </button>
        <button id="btn2">Button2 </button>

        <p class="para">
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy
            text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen
            book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially
            unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages,
            and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Why
            do we use it? It is a long established fact that a reader will be distracted by the readable content of a page
            when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution
            of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop
            publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem
            ipsum' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes
            by accident, sometimes on purpose (injected humour and the like).


        </p>

        <h2 id="coords"></h2>

        <form id="form">
            <label>Name</label><br>
            <input type="text" id="name" name="name"/>
            <br>
            <label>Email</label><br>
            <input type="text" name="email" id="email"/>
            <br>
            <label>Gender</label><br>
            <select id="gender" name="gender">
                <option value="male">Male</option>
                <option value="female">Female</option>
            </select>
            <br>
            <input type="submit" value="submit" />
        </form>
    </div>


    <script>
        $(document).ready(function () {


            /*
        $('#btn1').click(function(){
            alert('button clicked');
        });

        $("#btn2").click(function(){
            alert("button clicked");
        });
*/
            //hide and show and Toggle
            /*
                    $("#btn1").on("click",function(){
                       // $(".para").hide();
                       $(".para").toggle();
                    });
                    $("#btn2").on("click",function(){
                        $(".para").show();
                    });
            */
            // dblclick and hover
            /*
                    $("#btn1").dblclick(function(){
                        $(".para").toggle();
                    });

                    
                    $("#btn2").hover(function(){
                        $(".para").toggle();
                    });
            */
            // this will not work on(hover)
            /*
                    $("#btn2").on("hover",function(){
                        $(".para").toggle();
                    });
            */
            //mouseenter and mouseleave 
            /*

                    $("#btn1").on("mouseenter",function(){
                        $('.para').toggle();
                    });

                    $("#btn2").on("mouseleave", function(){
                        $(".para").toggle();
                    });
            */
            // mousemove mouseup and mousedown
            /*
                    $("#btn1").on("mousemove",function(){
                        $('.para').toggle();
                    });

                    $("#btn2").on("mousedown", function(){
                        $('.para').toggle();
                    });

                    $("#btn1").on("mouseup", function(){
                        $('.para').toggle();
                    });
            */
// e. value you can use
/*
            $("#btn1").click(function (e) {
                //      console.log(e.currentTarget.id);
                //  console.log(e.currentTarget.innerHTML);    
                //  console.log(e.currentTarget.outerHTML);
                //   console.log(e.currentTarget.className);
            });
*/
/*
            $(document).on("mousemove", function(e){
            $("#coords").html("Coords: Y: " +e.clientY + "X : "+ e.clientX);
            });
*/
 //input events focus blur keyup keydown           
 
 /*           $("input").focus(function(){
    //            alert("focused");
    //            $("input#name").css("background-color","pink");
                  $(this).css("background-color","pink");
            });

            $("input").blur(function(){
                $(this).css('background-color', 'white');
            });
            
            $("input").keyup(function(e){
                console.log(e.target.value);
            });

            $("input").keydown(function(e){
                console.log(e.target.value);
            });
*/
            $("select#gender").change(function(e){
                alert(e.target.value);
            });

            $("#form").submit(function(e){
                e.preventDefault();
                var name = $('input#name').val();
                console.log(name);
            })
        });
    </script>
</body>

</html>